lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:   Mon, 18 Feb 2019 00:47:25 +0100
From:   f6bvp <f6bvp@...e.fr>
To:     Eric Dumazet <eric.dumazet@...il.com>
Cc:     netdev@...r.kernel.org
Subject: Re: ax25: fix possible use-after-free

Hi Eric,
Yes the patch was correctly and completely applied.
However, on a Raspberry Pi  I am only building the AX25 module with kernel headers and without the full kernel source for debuging.
After your remark I found that  #include <net/ax25.h > in source files did not work and I had to explicitly indicate the full path in order to satisfy functions declarations.
#include    </usr/src/linux/include/net/ax25.h>

Thank you for your help in understanding the issue.

Bernard

> Le 17 févr. 2019 à 19:39, Eric Dumazet <eric.dumazet@...il.com> a écrit :
> 
> 
> 
>> On 02/16/2019 02:33 PM, f6bvp wrote:
>> 
>> Patch applied successfully on Linux draws-f6bvp 4.14.79-v7+ #1159 SMP Sun Nov 4 17:50:20 GMT 2018 armv7l GNU/Linux
>> 
>> However ax25_route_lock_use and ax25_route_lock_unuse() are not declared and compile failed.
>> 
>> make : on entre dans le répertoire « /usr/src/linux-headers-4.14.79-v7+ »
>>  CC [M]  /usr/src/linux-4.14.y/net/ax25/ax25_ip.o
>> /usr/src/linux-4.14.y/net/ax25/ax25_ip.c: In function ‘ax25_ip_xmit’:
>> /usr/src/linux-4.14.y/net/ax25/ax25_ip.c:117:2: error: implicit declaration of function ‘ax25_route_lock_use’ [-Werror=implicit-function-declaration]
>>  ax25_route_lock_use();
>>  ^~~~~~~~~~~~~~~~~~~
>> /usr/src/linux-4.14.y/net/ax25/ax25_ip.c:211:2: error: implicit declaration of function ‘ax25_route_lock_unuse’ [-Werror=implicit-function-declaration]
>>  ax25_route_lock_unuse();
>>  ^~~~~~~~~~~~~~~~~~~~~
>> cc1: some warnings being treated as errors
>> scripts/Makefile.build:328 : la recette pour la cible « /usr/src/linux-4.14.y/net/ax25/ax25_ip.o » a echouee
>> make[1]: *** [/usr/src/linux-4.14.y/net/ax25/ax25_ip.o] Erreur 1
>> Makefile:1527 : la recette pour la cible « _module_/usr/src/linux-4.14.y/net/ax25 » a echouee
>> make: *** [_module_/usr/src/linux-4.14.y/net/ax25] Erreur 2
>> make : on quitte le repertoire « /usr/src/linux-headers-4.14.79-v7+ »
>> 
>> 
>> Bernard, f6bvp
>> 
> 
> Hi Bernard
> 
> Are you sure you applied the patch correctly/completely ?
> 
> git cherry-pick worked without conflicts on top of 4.14.100
> 

Powered by blists - more mailing lists